<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk+" version="3.10"/>
  <template class="GsDetailsPage" parent="GsPage">
    <child internal-child="accessible">
      <object class="AtkObject" id="details-accessible">
        <property name="accessible-name" translatable="yes">Details page</property>
      </object>
    </child>
    <child>
      <object class="GtkStack" id="stack_details">
        <property name="visible">True</property>
        <child>
          <object class="GtkBox" id="details_spinner_box">
            <property name="visible">True</property>
            <property name="orientation">vertical</property>
            <property name="spacing">12</property>
            <property name="halign">center</property>
            <property name="valign">center</property>
            <property name="hexpand">True</property>
            <property name="vexpand">True</property>
            <style>
              <class name="dim-label"/>
            </style>
            <child>
              <object class="GtkSpinner" id="spinner_details">
                <property name="visible">True</property>
                <property name="width_request">32</property>
                <property name="height_request">32</property>
                <property name="halign">center</property>
                <property name="valign">center</property>
                <property name="hexpand">True</property>
                <property name="vexpand">True</property>
              </object>
            </child>
          </object>
          <packing>
            <property name="name">spinner</property>
          </packing>
        </child>
        <child>
          <object class="GtkScrolledWindow" id="scrolledwindow_details">
            <property name="visible">True</property>
            <property name="shadow_type">none</property>
            <property name="can_focus">True</property>
            <property name="hscrollbar_policy">automatic</property>
            <property name="vscrollbar_policy">automatic</property>
            <child>
              <object class="GtkViewport" id="viewport1">
                <property name="visible">True</property>
                <child>
                  <object class="GsFixedSizeBin" id="gs_fixed_bin">
                    <property name="visible">True</property>
                    <property name="preferred-width">860</property>
                    <child>
                      <object class="GtkBox" id="box_details">
                        <property name="width_request">752</property>
                        <property name="orientation">vertical</property>
                        <property name="visible">True</property>
                        <property name="halign">fill</property>
                        <property name="valign">start</property>
                        <property name="margin_top">4</property>
                        <property name="margin_bottom">4</property>
                        <property name="border_width">24</property>
                        <property name="spacing">18</property>
                        <property name="hexpand">False</property>
                        <child>
                          <object class="GtkBox" id="box_details_header">
                            <property name="orientation">horizontal</property>
                            <property name="visible">True</property>
                            <child>
                              <object class="GtkImage" id="application_details_icon">
                                <property name="visible">True</property>
                                <property name="halign">start</property>
                                <property name="valign">start</property>
                                <property name="pixel_size">96</property>
                                <style>
                                  <class name="icon-dropshadow"/>
                                </style>
                              </object>
                            </child>
                            <child>
                              <object class="GtkBox" id="box_details_header2">
                                <property name="orientation">vertical</property>
                                <property name="visible">True</property>
                                <property name="halign">fill</property>
                                <property name="valign">start</property>
                                <property name="margin_start">24</property>
                                <property name="margin_end">24</property>
                                <child>
                                  <object class="GtkLabel" id="application_details_title">
                                    <property name="visible">True</property>
                                    <property name="halign">fill</property>
                                    <property name="valign">start</property>
                                    <property name="hexpand">True</property>
                                    <property name="margin_bottom">4</property>
                                    <property name="xalign">0</property>
                                    <property name="selectable">True</property>
                                    <property name="wrap">True</property>
                                    <property name="max_width_chars">20</property>
                                    <style>
                                      <class name="application-details-title"/>
                                    </style>
                                  </object>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="application_details_summary">
                                    <property name="visible">True</property>
                                    <property name="halign">fill</property>
                                    <property name="valign">start</property>
                                    <property name="hexpand">True</property>
                                    <property name="margin_bottom">16</property>
                                    <property name="xalign">0</property>
                                    <property name="selectable">True</property>
                                    <property name="wrap">True</property>
                                    <property name="max-width-chars">60</property>
                                    <style>
                                      <class name="application-details-summary"/>
                                    </style>
                                  </object>
                                </child>
                              </object>
                            </child>

                            <child>
                              <object class="GtkBox" id="star_box">
                                <property name="visible">True</property>
                                <property name="valign">start</property>
                                <child>
                                  <object class="GsStarWidget" id="star">
                                    <property name="visible">True</property>
                                    <property name="halign">start</property>
                                    <property name="valign">center</property>
                                  </object>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_review_count">
                                    <property name="visible">True</property>
                                    <property name="margin_start">5</property>
                                    <property name="halign">start</property>
                                    <property name="valign">center</property>
                                    <style>
                                      <class name="dim-label"/>
                                    </style>
                                  </object>
                                </child>
                              </object>
                            </child>

                          </object>
                        </child>

                        <child>
                          <object class="GtkBox" id="box_install_remove">
                            <property name="visible">True</property>
                            <property name="margin_bottom">14</property>
                            <property name="spacing">9</property>
                            <child>
                              <object class="GtkButton" id="button_install">
                                <property name="visible">False</property>
                                <property name="use_underline">True</property>
                                <property name="label" translatable="yes">_Install</property>
                                <property name="width_request">105</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                                <property name="halign">start</property>
                                <property name="valign">start</property>
                                <style>
                                  <class name="suggested-action"/>
                                </style>
                              </object>
                            </child>
                            <child>
                              <object class="GtkButton" id="button_details_launch">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="use_underline">True</property>
                                <style>
                                  <class name="suggested-action"/>
                                </style>
                              </object>
                            </child>
                            <child>
                              <object class="GtkButton" id="button_remove">
                                <property name="visible">False</property>
                                <property name="use_underline">True</property>
                                <property name="label" translatable="yes">_Remove</property>
                                <property name="width_request">105</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                                <property name="halign">start</property>
                                <property name="valign">start</property>
                              </object>
                            </child>
                            <child>
                              <object class="GtkSpinner" id="spinner_remove">
                                <property name="visible">False</property>
                              </object>
                            </child>
                            <child>
                              <object class="GtkBox" id="box_progress">
                                <property name="visible">True</property>
                                <property name="spacing">3</property>
                                <property name="orientation">vertical</property>
                                <property name="hexpand">True</property>
                                <child>
                                  <object class="GtkBox" id="box_progress2">
                                    <property name="visible">True</property>
                                    <property name="spacing">3</property>
                                    <property name="halign">center</property>
                                    <child>
                                      <object class="GtkLabel" id="label_progress_status">
                                        <property name="visible">True</property>
                                        <property name="label" translatable="yes">Downloading</property>
                                      </object>
                                    </child>
                                    <child>
                                      <object class="GtkLabel" id="label_progress_percentage">
                                        <property name="visible">True</property>
                                        <property name="label">50%</property>
                                      </object>
                                    </child>
                                  </object>
                                </child>
                                <child>
                                  <object class="GtkProgressBar" id="progressbar_top">
                                    <property name="visible">True</property>
                                    <property name="fraction">0.5</property>
                                    <property name="valign">center</property>
                                    <property name="vexpand">True</property>
                                    <property name="width_request">624</property>
                                    <style>
                                      <class name="upgrade-progressbar"/>
                                    </style>
                                  </object>
                                </child>
                              </object>
                            </child>
                            <child>
                              <object class="GtkButton" id="button_cancel">
                                <property name="visible">False</property>
                                <property name="use_underline">True</property>
                                <property name="label" translatable="yes">_Cancel</property>
                                <property name="width_request">116</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                              </object>
                            </child>
                            <child>
                              <object class="GtkButton" id="button_update">
                                <property name="visible">False</property>
                                <property name="use_underline">True</property>
                                <property name="label" translatable="yes">_Update</property>
                                <property name="width_request">105</property>
                                <property name="can_focus">True</property>
                                <property name="receives_default">True</property>
                                <property name="halign">start</property>
                                <property name="valign">start</property>
                              </object>
                              <packing>
                                <property name="pack-type">end</property>
                              </packing>
                            </child>
                            <child>
                              <object class="GtkButton" id="button_details_add_shortcut">
                                <property name="visible">False</property>
                                <property name="can_focus">True</property>
                                <property name="use_underline">True</property>
                                <property name="label" translatable="yes" comments="Translators: A label for a button to add a shortcut to the selected application.">_Add shortcut</property>
                                <style>
                                  <class name="suggested-action"/>
                                </style>
                              </object>
                              <packing>
                                <property name="pack-type">end</property>
                              </packing>
                            </child>
                            <child>
                              <object class="GtkButton" id="button_details_remove_shortcut">
                                <property name="visible">False</property>
                                <property name="can_focus">True</property>
                                <property name="use_underline">True</property>
                                <property name="label" translatable="yes" comments="Translators: A label for a button to remove a shortcut to the selected application.">Re_move shortcut</property>
                              </object>
                              <packing>
                                <property name="pack-type">end</property>
                              </packing>
                            </child>
                          </object>
                        </child>

                        <child>
                          <object class="GtkBox" id="box_details_screenshot">
                            <property name="visible">True</property>
                            <property name="margin_bottom">14</property>
                            <property name="spacing">9</property>
                            <child>
                              <object class="GtkBox" id="box_details_screenshot_main">
                                <property name="visible">True</property>
                                <property name="orientation">vertical</property>
                                <property name="spacing">6</property>
                                <property name="hexpand">True</property>
                                <child>
                                  <placeholder/>
                                </child>
                              </object>
                            </child>
                            <child>
                              <object class="GtkScrolledWindow" id="box_details_screenshot_scrolledwindow">
                                <property name="visible">True</property>
                                <property name="shadow_type">none</property>
                                <property name="can_focus">True</property>
                                <property name="hscrollbar_policy">never</property>
                                <property name="vscrollbar_policy">automatic</property>
                                <child>
                                  <object class="GtkBox" id="box_details_screenshot_thumbnails">
                                    <property name="visible">True</property>
                                    <property name="orientation">vertical</property>
                                    <property name="spacing">7</property>
                                    <child>
                                      <placeholder/>
                                    </child>
                                  </object>
                                </child>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkBox" id="box_details_screenshot_fallback">
                            <property name="visible">True</property>
                            <property name="orientation">vertical</property>
                            <property name="spacing">6</property>
                            <property name="width_request">752</property>
                            <property name="height_request">423</property>
                            <property name="hexpand">True</property>
                            <property name="halign">fill</property>
                            <style>
                              <class name="screenshot-image"/>
                            </style>
                            <child>
                              <object class="GtkImage">
                                <property name="visible">True</property>
                                <property name="pixel_size">64</property>
                                <property name="icon_name">camera-photo-symbolic</property>
                                <property name="icon_size">6</property>
                                <property name="valign">end</property>
                                <property name="vexpand">True</property>
                              </object>
                            </child>
                            <child>
                              <object class="GtkLabel">
                                <property name="visible">True</property>
                                <property name="halign">center</property>
                                <property name="valign">start</property>
                                <property name="vexpand">True</property>
                                <property name="label" translatable="yes">No screenshot provided</property>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkBox" id="box_details_description">
                            <property name="visible">True</property>
                            <property name="margin_bottom">14</property>
                            <property name="orientation">vertical</property>
                            <property name="spacing">18</property>
                            <child>
                              <placeholder/>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GsInfoBar" id="infobar_details_app_repo">
                            <property name="visible">True</property>
                            <property name="margin_top">20</property>
                            <property name="title" translatable="yes">Software Repository Included</property>
                            <property name="body" translatable="yes">This application includes a software repository which provides updates, as well as access to other software.</property>
                          </object>
                        </child>
                        <child>
                          <object class="GsInfoBar" id="infobar_details_app_norepo">
                            <property name="visible">True</property>
                            <property name="margin_top">20</property>
                            <property name="title" translatable="yes">No Software Repository Included</property>
                            <property name="body" translatable="yes">This application does not include a software repository. It will not be updated with new versions.</property>
                          </object>
                        </child>
                        <child>
                          <object class="GsInfoBar" id="infobar_details_package_baseos">
                            <property name="visible">True</property>
                            <property name="message_type">warning</property>
                            <property name="margin_top">20</property>
                            <property name="title" translatable="yes">This software is already provided by your distribution and should not be replaced.</property>
                          </object>
                        </child>
                        <child>
                          <object class="GsInfoBar" id="infobar_details_repo">
                            <property name="visible">True</property>
                            <property name="margin_top">20</property>
                            <property name="title" translatable="yes" comments="Translators: a repository file used for installing software has been discovered.">Software Repository Identified</property>
                            <property name="body" translatable="yes">Adding this software repository will give you access to additional software and upgrades.</property>
                            <property name="warning" translatable="yes">Only use software repositories that you trust.</property>
                          </object>
                        </child>
                        <child>
                          <object class="GtkBox" id="box_details_support">
                            <property name="visible">True</property>
                            <property name="margin_bottom">26</property>
                            <property name="spacing">12</property>
                            <child>
                              <object class="GtkButton" id="button_details_website">
                                <property name="label" translatable="yes">_Website</property>
                                <property name="width_request">150</property>
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="use_underline">True</property>
                              </object>
                            </child>
                            <child>
                              <object class="GtkButton" id="button_donate">
                                <property name="label" translatable="yes">_Donate</property>
                                <property name="width_request">150</property>
                                <property name="visible">False</property>
                                <property name="can_focus">True</property>
                                <property name="use_underline">True</property>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkLabel" id="application_details_details_title">
                            <property name="visible">True</property>
                            <property name="halign">start</property>
                            <property name="valign">start</property>
                            <property name="hexpand">True</property>
                            <property name="xalign">0</property>
                            <property name="label" translatable="yes">Details</property>
                            <style>
                              <class name="application-details-title"/>
                            </style>
                          </object>
                        </child>
                        <child>
                          <object class="GtkBox" id="box_details_details">
                            <property name="visible">True</property>
                            <property name="margin_bottom">26</property>
                            <property name="spacing">30</property>
                            <child>
                              <object class="GtkGrid" id="grid_details_kudo">
                                <property name="visible">True</property>
                                <property name="row_spacing">9</property>
                                <property name="column_spacing">12</property>
                                <property name="hexpand">True</property>
                                <child>
                                  <object class="GtkImage" id="image_details_kudo_translated">
                                    <property name="visible">True</property>
                                    <property name="pixel_size">16</property>
                                    <property name="icon_name">preferences-desktop-locale-symbolic</property>
                                    <property name="icon_size">6</property>
                                    <style>
                                      <class name="kudo-pill"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">0</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkImage" id="image_details_kudo_docs">
                                    <property name="visible">True</property>
                                    <property name="pixel_size">16</property>
                                    <property name="icon_name">system-help-symbolic</property>
                                    <style>
                                      <class name="kudo-pill"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">1</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkImage" id="image_details_kudo_updated">
                                    <property name="visible">True</property>
                                    <property name="pixel_size">16</property>
                                    <property name="icon_name">software-update-available-symbolic</property>
                                    <property name="icon_size">6</property>
                                    <style>
                                      <class name="kudo-pill"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">2</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkImage" id="image_details_kudo_integration">
                                    <property name="visible">True</property>
                                    <property name="pixel_size">16</property>
                                    <property name="icon_name">emblem-system-symbolic</property>
                                    <property name="icon_size">0</property>
                                    <style>
                                      <class name="kudo-pill"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">3</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkImage" id="image_details_kudo_sandboxed">
                                    <property name="visible">True</property>
                                    <property name="pixel_size">16</property>
                                    <property name="icon_name">security-medium-symbolic</property>
                                    <property name="icon_size">0</property>
                                    <style>
                                      <class name="kudo-pill"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">4</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_kudo_translated">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Localized in your Language</property>
                                    <property name="xalign">0</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">0</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_kudo_docs">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Documentation</property>
                                    <property name="xalign">0</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">1</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_kudo_updated">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Release Activity</property>
                                    <property name="xalign">0</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">2</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_kudo_integration">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">System Integration</property>
                                    <property name="xalign">0</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">3</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_kudo_sandboxed">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Sandboxed</property>
                                    <property name="xalign">0</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">4</property>
                                  </packing>
                                </child>
                              </object>
                            </child>
                            <child>
                              <object class="GtkGrid" id="grid_details_details">
                                <property name="visible">True</property>
                                <property name="row_spacing">9</property>
                                <property name="column_spacing">24</property>
                                <property name="hexpand">True</property>
                                <property name="valign">start</property>
                                <child>
                                  <object class="GtkLabel" id="label_details_channel_title">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Channel</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <property name="vexpand">True</property>
                                    <style>
                                      <class name="dim-label"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">0</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_channel_value">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="hexpand">True</property>
                                    <property name="label">stable</property>
                                    <property name="selectable">True</property>
                                    <property name="ellipsize">end</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <accessibility>
                                      <relation type="labelled-by" target="label_details_channel_title"/>
                                    </accessibility>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">0</property>
                                  </packing>
                                </child>

                                <child>
                                  <object class="GtkLabel" id="label_details_version_title">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Version</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <property name="vexpand">True</property>
                                    <style>
                                      <class name="dim-label"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">1</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_version_value">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="hexpand">True</property>
                                    <property name="label">0.12.3</property>
                                    <property name="selectable">True</property>
                                    <property name="ellipsize">end</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <accessibility>
                                      <relation type="labelled-by" target="label_details_version_title"/>
                                    </accessibility>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">1</property>
                                  </packing>
                                </child>

                                <child>
                                  <object class="GtkLabel" id="label_details_rating_title">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Age Rating</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <property name="vexpand">True</property>
                                    <style>
                                      <class name="dim-label"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">9</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkButton" id="button_details_rating_value">
                                    <property name="visible">False</property>
                                    <property name="use_underline">True</property>
                                    <property name="label">18</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">True</property>
                                    <property name="vexpand">False</property>
                                    <property name="halign">start</property>
                                    <style>
                                      <class name="content-rating"/>
                                    </style>
                                    <accessibility>
                                      <relation type="labelled-by" target="label_details_version_title"/>
                                    </accessibility>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">9</property>
                                  </packing>
                                </child>

                                <child>
                                  <object class="GtkLabel" id="label_details_permissions_title">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Permissions</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <property name="vexpand">True</property>
                                    <style>
                                      <class name="dim-label"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">10</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkButton" id="button_details_permissions_value">
                                    <property name="visible">True</property>
                                    <property name="use_underline">True</property>
                                    <property name="label">Details</property>
                                    <property name="can_focus">True</property>
                                    <property name="receives_default">True</property>
                                    <property name="vexpand">False</property>
                                    <property name="halign">start</property>
                                    <style>
                                      <class name="content-rating"/>
                                    </style>
                                    <accessibility>
                                      <relation type="labelled-by" target="label_details_permissions_title"/>
                                    </accessibility>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">10</property>
                                  </packing>
                                </child>

                                <child>
                                  <object class="GtkLabel" id="label_details_updated_title">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Updated</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <property name="vexpand">True</property>
                                    <style>
                                      <class name="dim-label"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">2</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_updated_value">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="hexpand">True</property>
                                    <property name="label">May 12, 2012</property>
                                    <property name="selectable">True</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <accessibility>
                                      <relation type="labelled-by" target="label_details_updated_title"/>
                                    </accessibility>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">2</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_category_title">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Category</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <property name="vexpand">True</property>
                                    <style>
                                      <class name="dim-label"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">3</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_category_value">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="hexpand">True</property>
                                    <property name="label">Photos &amp; Video</property>
                                    <property name="wrap">True</property>
                                    <property name="selectable">True</property>
                                    <property name="max_width_chars">10</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <accessibility>
                                      <relation type="labelled-by" target="label_details_category_title"/>
                                    </accessibility>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">3</property>
                                  </packing>
                                </child>

                                <child>
                                  <object class="GtkLabel" id="label_details_size_installed_title">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Installed Size</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <property name="vexpand">True</property>
                                    <style>
                                      <class name="dim-label"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">7</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_size_installed_value">
                                    <property name="visible">True</property>
                                    <property name="hexpand">True</property>
                                    <property name="label">30 MB</property>
                                    <property name="selectable">True</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">7</property>
                                  </packing>
                                </child>

                                <child>
                                  <object class="GtkLabel" id="label_details_size_download_title">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Download Size</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <property name="vexpand">True</property>
                                    <style>
                                      <class name="dim-label"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">8</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_size_download_value">
                                    <property name="visible">True</property>
                                    <property name="hexpand">True</property>
                                    <property name="label">30 MB</property>
                                    <property name="selectable">True</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">8</property>
                                  </packing>
                                </child>

                                <child>
                                  <object class="GtkLabel" id="label_details_origin_title">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Source</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <property name="vexpand">True</property>
                                    <style>
                                      <class name="dim-label"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">6</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_origin_value">
                                    <property name="visible">True</property>
                                    <property name="hexpand">True</property>
                                    <property name="label">Upstream</property>
                                    <property name="selectable">True</property>
                                    <property name="ellipsize">end</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">6</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_developer_title">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">Developer</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <property name="vexpand">True</property>
                                    <style>
                                      <class name="dim-label"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">5</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkBox" id="box_details_developer">
                                    <property name="visible">True</property>
                                    <property name="hexpand">True</property>
                                    <property name="spacing">3</property>
                                    <child>
                                      <object class="GtkLabel" id="label_details_developer_value">
                                        <property name="visible">True</property>
                                        <property name="label">Yorba</property>
                                        <property name="wrap">True</property>
                                        <property name="selectable">True</property>
                                        <property name="max_width_chars">100</property>
                                        <property name="xalign">0</property>
                                        <property name="yalign">0.5</property>
                                        <property name="hexpand">False</property>
                                      </object>
                                    </child>
                                    <child>
                                      <object class="GtkImage" id="image_details_developer_verified">
                                        <property name="visible">True</property>
                                        <property name="pixel_size">16</property>
                                        <property name="icon_name">emblem-ok-symbolic</property>
                                      </object>
                                    </child>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">5</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_details_license_title">
                                    <property name="visible">True</property>
                                    <property name="label" translatable="yes">License</property>
                                    <property name="xalign">0</property>
                                    <property name="yalign">0.5</property>
                                    <property name="vexpand">True</property>
                                    <style>
                                      <class name="dim-label"/>
                                    </style>
                                  </object>
                                  <packing>
                                    <property name="left_attach">0</property>
                                    <property name="top_attach">4</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkBox" id="box_details_license_value">
                                    <property name="visible">True</property>
                                    <property name="orientation">vertical</property>
                                    <child>
                                      <object class="GtkButton" id="button_details_license_free">
                                        <property name="label" translatable="yes" comments="This refers to the license of the application">Free</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">True</property>
                                        <property name="halign">start</property>
                                        <style>
                                          <class name="details-license-free"/>
                                        </style>
                                      </object>
                                    </child>
                                    <child>
                                      <object class="GtkButton" id="button_details_license_nonfree">
                                        <property name="label" translatable="yes" comments="This refers to the license of the application">Proprietary</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">True</property>
                                        <property name="halign">start</property>
                                        <style>
                                          <class name="details-license-nonfree"/>
                                        </style>
                                      </object>
                                    </child>
                                    <child>
                                      <object class="GtkButton" id="button_details_license_unknown">
                                        <property name="label" translatable="yes" comments="This refers to the license of the application">Unknown</property>
                                        <property name="visible">True</property>
                                        <property name="can_focus">True</property>
                                        <property name="receives_default">True</property>
                                        <property name="halign">start</property>
                                        <style>
                                          <class name="details-license-unknown"/>
                                        </style>
                                      </object>
                                    </child>
                                  </object>
                                  <packing>
                                    <property name="left_attach">1</property>
                                    <property name="top_attach">4</property>
                                  </packing>
                                </child>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkBox" id="box_addons">
                            <property name="visible">True</property>
                            <property name="orientation">vertical</property>
                            <property name="margin_bottom">26</property>

                            <child>
                              <object class="GtkBox" id="box_addons_title">
                                <property name="visible">True</property>
                                <property name="orientation">vertical</property>
                                <property name="margin_bottom">18</property>
                                <child>
                                  <object class="GtkLabel" id="label_addons_title">
                                    <property name="visible">True</property>
                                    <property name="halign">start</property>
                                    <property name="valign">start</property>
                                    <property name="hexpand">True</property>
                                    <property name="xalign">0</property>
                                    <property name="label" translatable="yes">Add-ons</property>
                                    <style>
                                      <class name="application-details-title"/>
                                    </style>
                                  </object>
                                </child>
                                <child>
                                  <object class="GtkLabel" id="label_addons_uninstalled_app">
                                    <property name="visible">True</property>
                                    <property name="xalign">0</property>
                                    <property name="wrap">True</property>
                                    <property name="max-width-chars">40</property>
                                    <property name="label" translatable="yes">Selected add-ons will be installed with the application.</property>
                                  </object>
                                </child>
                              </object>
                            </child>

                            <child>
                              <object class="GtkFrame" id="box_addons_frame">
                                <property name="visible">True</property>
                                <property name="shadow_type">in</property>
                                <property name="halign">fill</property>
                                <property name="valign">start</property>
                                <style>
                                  <class name="view"/>
                                </style>
                                <child>
                                  <object class="GtkListBox" id="list_box_addons">
                                    <property name="visible">True</property>
                                    <property name="can_focus">True</property>
                                    <property name="selection_mode">none</property>
                                  </object>
                                </child>
                              </object>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkBox" id="box_reviews">
                            <property name="visible">False</property>
                            <property name="orientation">vertical</property>
                            <child>
                              <object class="GtkLabel" id="application_details_reviews_title">
                                <property name="visible">True</property>
                                <property name="margin_bottom">18</property>
                                <property name="halign">start</property>
                                <property name="valign">start</property>
                                <property name="hexpand">True</property>
                                <property name="xalign">0</property>
                                <property name="label" translatable="yes" comments="Translators: Header of the section with other users&apos; opinions about the app.">Reviews</property>
                                <style>
                                  <class name="application-details-title"/>
                                </style>
                              </object>
                            </child>
                            <child>
                              <object class="GsReviewHistogram" id="histogram">
                                <property name="visible">False</property>
                                <property name="halign">start</property>
                                <property name="valign">center</property>
                                <property name="margin_bottom">32</property>
                              </object>
                            </child>
                            <child>
                              <object class="GtkButton" id="button_review">
                                <property name="visible">False</property>
                                <property name="use_underline">True</property>
                                <property name="label" translatable="yes" comments="Translators: Button opening a dialog where the users can write and publish their opinions about the apps.">_Write a Review</property>
                                <property name="can_focus">True</property>
                                <property name="halign">start</property>
                                <property name="valign">start</property>
                                <property name="margin_bottom">18</property>
                              </object>
                            </child>
                            <child>
                              <object class="GtkListBox" id="list_box_reviews">
                                <property name="visible">True</property>
                                <property name="can_focus">True</property>
                                <property name="selection_mode">none</property>
                                <style>
                                  <class name="review-listbox"/>
                                </style>
                              </object>
                            </child>
                            <child>
                              <object class="GtkButton" id="button_more_reviews">
                                <property name="visible">False</property>
                                <property name="use_underline">True</property>
                                <property name="label" translatable="yes" comments="Translators: Button to return more application-submitted reviews.">_Show More</property>
                                <property name="can_focus">True</property>
                                <property name="halign">start</property>
                                <property name="valign">start</property>
                                <property name="margin_top">12</property>
                              </object>
                            </child>
                          </object>
                        </child>
                      </object>
                    </child>
                  </object>
                </child>
              </object>
            </child>
          </object>
          <packing>
            <property name="name">ready</property>
          </packing>
        </child>
        <child>
          <object class="GtkBox" id="box_failed">
            <property name="visible">True</property>
            <property name="orientation">vertical</property>
            <property name="spacing">24</property>
            <property name="halign">center</property>
            <property name="valign">center</property>
            <property name="hexpand">True</property>
            <property name="vexpand">True</property>
            <style>
              <class name="dim-label"/>
            </style>
            <child>
              <object class="GtkImage" id="image_failed">
                <property name="visible">True</property>
                <property name="pixel_size">128</property>
                <property name="icon_name">org.gnome.Software-symbolic</property>
              </object>
            </child>
            <child>
              <object class="GtkLabel" id="label_failed">
                <property name="visible">True</property>
                <property name="wrap">True</property>
                <property name="max-width-chars">60</property>
                <property name="justify">center</property>
                <attributes>
                  <attribute name="scale" value="1.4"/>
                </attributes>
              </object>
            </child>
          </object>
          <packing>
            <property name="name">failed</property>
          </packing>
        </child>
      </object>
    </child>
  </template>
  <object class="GtkSizeGroup" id="sizegroup_install_remove">
    <property name="ignore_hidden">True</property>
    <widgets>
      <widget name="button_install"/>
      <widget name="button_update"/>
      <widget name="button_remove"/>
      <widget name="button_details_launch"/>
    </widgets>
  </object>
  <object class="GtkSizeGroup" id="sizegroup_details_buttons">
    <widgets>
      <widget name="button_details_website"/>
    </widgets>
  </object>
  <object class="GtkSizeGroup" id="sizegroup_details_title">
    <property name="ignore_hidden">True</property>
    <widgets>
      <widget name="label_details_version_title"/>
      <widget name="label_details_updated_title"/>
      <widget name="label_details_category_title"/>
      <widget name="label_details_origin_title"/>
      <widget name="label_details_license_title"/>
      <widget name="label_details_size_installed_title"/>
      <widget name="label_details_size_download_title"/>
      <widget name="label_details_developer_title"/>
    </widgets>
  </object>
  <object class="GtkSizeGroup" id="sizegroup_details_value">
    <property name="ignore_hidden">True</property>
    <widgets>
      <widget name="label_details_version_value"/>
      <widget name="label_details_updated_value"/>
      <widget name="label_details_category_value"/>
      <widget name="label_details_size_installed_value"/>
      <widget name="label_details_size_download_value"/>
      <widget name="box_details_developer"/>
      <widget name="button_details_license_free"/>
    </widgets>
  </object>
  <object class="GtkSizeGroup" id="sizegroup_button_details_license">
    <widgets>
      <widget name="button_details_license_free"/>
      <widget name="button_details_license_nonfree"/>
      <widget name="button_details_license_unknown"/>
    </widgets>
  </object>
  <object class="GtkPopover" id="popover_license_free">
    <property name="visible">False</property>
    <property name="border_width">21</property>
    <property name="relative_to">button_details_license_free</property>
    <child>
      <object class="GtkBox">
        <property name="visible">True</property>
        <property name="orientation">vertical</property>
        <property name="spacing">12</property>
        <child>
          <object class="GtkLabel">
            <property name="visible">True</property>
            <property name="halign">start</property>
            <property name="label" translatable="yes">Free Software</property>
            <attributes>
              <attribute name="weight" value="bold"/>
            </attributes>
          </object>
        </child>
        <child>
          <object class="GtkLabel">
            <property name="visible">True</property>
            <property name="halign">start</property>
            <property name="max_width_chars">34</property>
            <property name="label" translatable="yes">This means that the software can be freely run, copied, distributed, studied and modified.</property>
            <property name="wrap">True</property>
            <property name="xalign">0</property>
          </object>
        </child>
        <child>
          <object class="GtkLabel" id="label_licenses_intro">
            <property name="visible">True</property>
            <property name="halign">start</property>
            <property name="label">Users are bound by the following licenses:</property>
            <property name="wrap">True</property>
            <property name="xalign">0</property>
          </object>
        </child>
        <child>
          <object class="GtkBox" id="box_details_license_list">
            <property name="visible">True</property>
            <property name="orientation">vertical</property>
            <property name="spacing">6</property>
            <child>
              <placeholder/>
            </child>
          </object>
        </child>
      </object>
    </child>
  </object>
  <object class="GtkPopover" id="popover_license_nonfree">
    <property name="visible">False</property>
    <property name="border_width">21</property>
    <property name="relative_to">button_details_license_nonfree</property>
    <child>
      <object class="GtkBox">
        <property name="visible">True</property>
        <property name="orientation">vertical</property>
        <property name="spacing">12</property>
        <child>
          <object class="GtkLabel">
            <property name="visible">True</property>
            <property name="halign">start</property>
            <property name="label" translatable="yes">Proprietary Software</property>
            <attributes>
              <attribute name="weight" value="bold"/>
            </attributes>
          </object>
        </child>
        <child>
          <object class="GtkLabel">
            <property name="visible">True</property>
            <property name="halign">start</property>
            <property name="max_width_chars">34</property>
            <property name="label" translatable="yes">This means that the software is owned by an individual or a company. There are often restrictions on its use and its source code cannot usually be accessed.</property>
            <property name="wrap">True</property>
            <property name="xalign">0</property>
          </object>
        </child>
        <child>
          <object class="GtkLabel" id="label_license_nonfree_details">
            <property name="visible">True</property>
            <property name="use-markup">True</property>
            <property name="halign">start</property>
            <property name="label" translatable="yes">More information</property>
            <property name="wrap">True</property>
            <property name="xalign">0</property>
          </object>
        </child>
      </object>
    </child>
  </object>
  <object class="GtkPopover" id="popover_license_unknown">
    <property name="visible">False</property>
    <property name="name">popover_license_unknown</property>
    <property name="border_width">21</property>
    <property name="relative_to">button_details_license_unknown</property>
    <child>
      <object class="GtkBox">
        <property name="visible">True</property>
        <property name="orientation">vertical</property>
        <property name="spacing">12</property>
        <child>
          <object class="GtkLabel">
            <property name="visible">True</property>
            <property name="halign">start</property>
            <property name="label" translatable="yes">Unknown Software License</property>
            <attributes>
              <attribute name="weight" value="bold"/>
            </attributes>
          </object>
        </child>
        <child>
          <object class="GtkLabel">
            <property name="visible">True</property>
            <property name="halign">start</property>
            <property name="max_width_chars">34</property>
            <property name="label" translatable="yes">The license terms of this software are unknown.</property>
            <property name="wrap">True</property>
            <property name="xalign">0</property>
          </object>
        </child>
      </object>
    </child>
  </object>

  <object class="GtkPopover" id="popover_content_rating">
    <property name="visible">False</property>
    <child>
      <object class="GtkBox" id="box_content_rating">
        <property name="visible">True</property>
        <property name="border_width">24</property>
        <property name="orientation">vertical</property>
        <property name="spacing">12</property>
        <child>
          <object class="GtkLabel" id="label_content_rating_title">
            <property name="visible">True</property>
            <property name="label" translatable="yes">The application was rated this way because it features:</property>
            <property name="xalign">0</property>
          </object>
        </child>
        <child>
          <object class="GtkLabel" id="label_content_rating_message">
            <property name="visible">True</property>
            <property name="label">• Use of alcoholic beverages</property>
            <property name="xalign">0</property>
          </object>
        </child>
        <child>
          <object class="GtkLabel" id="label_content_rating_none">
            <property name="visible">True</property>
            <property name="label" translatable="yes">No details were available for this rating.</property>
          </object>
        </child>
      </object>
    </child>
  </object>
  <object class="GtkPopover" id="popover_permissions">
    <property name="visible">False</property>
    <property name="border_width">21</property>
    <property name="relative_to">button_details_permissions_value</property>
    <child>
      <object class="GtkBox">
        <property name="visible">True</property>
        <property name="orientation">vertical</property>
        <property name="spacing">18</property>
        <child>
          <object class="GtkLabel">
            <property name="visible">True</property>
            <property name="halign">center</property>
            <property name="label" translatable="yes">Permissions</property>
            <attributes>
              <attribute name="weight" value="bold"/>
            </attributes>
          </object>
        </child>
        <child>
          <object class="GtkBox" id="box_permissions_details">
            <property name="visible">True</property>
            <property name="orientation">vertical</property>
            <property name="spacing">12</property>
          </object>
        </child>
      </object>
    </child>
  </object>
</interface>
